package ehu.student.collections;

import java.util.ArrayList;
import java.util.TreeSet;

/**
 * Ejemplo de uso de ArrayList<ArrayList<String>>
 *
 * Se calculan todas las permutaciones posibles de un conjunto de palabras.
 */
public class Permutador4ArrayListStringTest {

    public static void main(String[] args) 
    {
        /* Para crear el conjunto con las palabras que diga el usuario */
        LectorDeConjuntosDeString input = new LectorDeConjuntosDeString(); /*@\label{PermutadorTest.reader}@*/
        //FabricanteDeConjuntos input = new FabricanteDeConjuntos();
        
        /* El conjunto con las palabras a permutar */
        TreeSet<String> palabras = input.nuevoConjuntoDeString(); /*@\label{PermutadorTest.read}@*/
                            
        /* Usado para crear todas las permutaciones posibles */
        Permutador4ArrayListString permutador =
            new Permutador4ArrayListString(); /*@\label{PermutadorTest.permutador}@*/
        
        /*
         * Crear todas las permutaciones de las palabras
         * Cada permutacion es una lista de palabras.
         * La totalidad de las permutaciones se almacena
         * en una lista cuyos elementos son listas de palabras.
         */
        ArrayList<ArrayList<String>> permutaciones = 
            permutador.permutar(palabras);       /*@\label{PermutadorTest.permute}@*/
        
        /* presentar cada permutacion de la lista de permutaciones */
        for (ArrayList<String> p: permutaciones){ /*@\label{PermutadorTest.print}@*/
            System.out.println(p);
        }
        System.exit(0);
    }
}
