package ehu.student.collections;

/**
 * Repetir los elementos de una secuencia de valores
 * introducida por el usuario,
 * eliminando repeticiones y en orden creciente.
 */
public class RepetirSecuenciaEnOrdenConRecorrido {

    public static void main(String[] args){
        acm.io.IODialog dialog = new acm.io.IODialog();

        /*
         * Los valores que introduzca el usuario se almacenan
         * en un conjunto
         */
        java.util.TreeSet<Integer> conjtoValoresDistintos = 
            new java.util.TreeSet<Integer>(); /*@\label{RepetirSecuenciaEnOrden.new}@*/

        while(dialog.readBoolean("Continuar?")){
            int s = dialog.readInt("Siguiente?");

            /*
             * El valor "s" se aade al conjunto, si no estaba ya
             */
            conjtoValoresDistintos.add(s); /*@\label{RepetirSecuenciaEnOrden.add}@*/           
        }
        
        for (Integer v: conjtoValoresDistintos){
            System.out.println(v);
        }
        System.exit(0);
    }
}
