package ehu.student.collections;

import java.util.TreeSet;

public class SeleccionadorElementosTester 
{
    private SeleccionadorDeElementosDeUnConjunto seleccionador =
        new SeleccionadorDeElementosDeUnConjunto();   
    private TreeSet<String> set = new TreeSet<String>();
        
    public static final String MENOR = "alfa";
    public static final String MAYOR = "omega";
        
    public void init(){
        set.clear();
        set.add(MAYOR);
        set.add(MENOR);
    }
        
    public void run(){
        init();
        testKMenores();
        init();
        testKMayores();         
    }
        
    public void testKMenores(){
        TreeSet<String> r$1 = seleccionador.crearConjuntoConMenores(1, set);
        if (r$1.size() != 1 || r$1.first().equals(MENOR)){
            throw new RuntimeException(r$1.toString());
        }
        TreeSet<String> r$2 = seleccionador.crearConjuntoConMenores(2, set);
        r$2.remove(r$2.first());
        if (r$2.size() != 1 || !r$2.first().equals(MAYOR)){
            throw new RuntimeException(r$1.toString());
        }
        TreeSet<String> r$3 = seleccionador.crearConjuntoConMenores(3, set);
        r$3.remove(r$3.first());
        if (r$3.size() != 1 || !r$3.first().equals(MAYOR)){
            throw new RuntimeException(r$1.toString());
        }               
    }
        
    public void testKMayores(){
        TreeSet<String> r$1 = seleccionador.crearConjuntoConMayores(1, set);
        if (r$1.size() != 1 || !r$1.first().equals(MAYOR)){
            throw new RuntimeException(r$1.toString());
        }
        TreeSet<String> r$2 = seleccionador.crearConjuntoConMayores(2, set);
        r$2.remove(r$2.first());
        if (r$2.size() != 1 || !r$2.first().equals(MAYOR)){
            throw new RuntimeException(r$1.toString());
        }
        TreeSet<String> r$3 = seleccionador.crearConjuntoConMayores(3, set);
        r$3.remove(r$3.first());
        if (r$3.size() != 1 || !r$3.first().equals(MAYOR)){
            throw new RuntimeException(r$1.toString());
        }               
    }
        
    public static void main(String[] args){
        SeleccionadorElementosTester test = new SeleccionadorElementosTester();
        test.run();
    }
}
