package ehu.student.collections.limitaciones;

import java.util.HashSet;

import ehu.student.collections.CartaBarajaInmutable;

/**
 * Limitaciones en el uso de HashSet<CartaBarajaInmutable>
 */
public class ErrorUsoHashSetDeCartaBarajaInmutable {

    public static void main(String[] args)
    {
        HashSet<CartaBarajaInmutable> conjunto = 
            new HashSet<CartaBarajaInmutable>(); 

        /* aadir elementos */
        CartaBarajaInmutable unaCarta = new CartaBarajaInmutable(0, 0);
        conjunto.add(unaCarta);
        conjunto.add(unaCarta); /* OK! */
        
        /* buscar elementos */
        CartaBarajaInmutable otraCartaIgual = new CartaBarajaInmutable(0, 0);
        boolean estaUna = conjunto.contains(unaCarta);
        boolean estaOtra = 
            conjunto.contains(otraCartaIgual); /* Resultado incorrecto? */
        
        String msg = 
            unaCarta + " esta? " + estaUna + "\n" +
            otraCartaIgual + " esta? " + estaOtra; 
        System.out.println(msg); 
    }
}
