package ehu.student.collections;

/**
 * Ejemplo de listas ArrayList<CartaBarajaInmutable>
 * 
 * Se crea una lista con tantas cartas como indique el usuario.
 * Se presentan esas cartas en orden creciente, segn palos y figuras.
 */
public class BubbleSort4ArrayListCartaBarajaInmutableTest {

    public static void main(String[] args) 
    {
        acm.io.IODialog dialog = new acm.io.IODialog();

        /* lista a la cual se aadiran las cartas creadas */
        java.util.ArrayList<CartaBarajaInmutable> cartas =
            new java.util.ArrayList<CartaBarajaInmutable>(); /*@\label{BubbleSortTest.new.lst}@*/

        /* lectura y creacion de cartas  */
        while(dialog.readBoolean("Continuar?"))
            {
                int palo = dialog.readInt("Palo ?"); /*@\label{BubbleSortTest.suit}@*/
                int figura = dialog.readInt("Figura ?");/*@\label{BubbleSortTest.fig}@*/
            
                CartaBarajaInmutable tmp =
                    new CartaBarajaInmutable(palo, figura);/*@\label{BubbleSortTest.new.carta}@*/

                /* se aade la nueva carta a la lista */
                cartas.add(tmp); /*@\label{BubbleSortTest.add}@*/
            }

        BubbleSort4ArrayListCartaBarajaInmutable ordenador =
            new BubbleSort4ArrayListCartaBarajaInmutable();/*@\label{BubbleSortTest.new.sorter}@*/

        /* la lista se reorganiza y queda ordenada */
        ordenador.ordenar(cartas);/*@\label{BubbleSortTest.sort}@*/

        /* presentar las cartas en orden segun palos y figuras */
        for (CartaBarajaInmutable carta: cartas){/*@\label{BubbleSortTest.for.a}@*/
            System.out.println(carta.toString());
        }                                     /*@\label{BubbleSortTest.for.z}@*/
        System.exit(0);
    }
}
