package ehu.student.collections;

import java.util.TreeSet;

/**
 * Clase de conveniencia para crear
 * conjuntos de elementos con los valores que
 * introduzca el usuario.
 * 
 * Se usa un <code>acm.io.IODialog</code>
 * para la lectura de valores.
 */
public class LectorDeConjuntosDeInteger {
        
    private acm.io.IODialog io = new acm.io.IODialog();

    /**
     * Devuelve un nuevo conjunto con los enteros introducidos por el usuario.
     */
    public TreeSet<Integer> nuevoConjuntoDeInteger()
    {           
        TreeSet<Integer> set = new TreeSet<Integer>(); /*@\label{Lector4TreeSetInteger.new}@*/

        while(io.readBoolean("Continuar introduciendo enteros en el conjunto?"))
            {
                Integer tmp = io.readInt("Siguiente entero? ");
                set.add(tmp);
            }           
        return set;
    }
}
