package ehu.student.collections;

import java.util.TreeSet;

/**
 * Clase de conveniencia para crear conjuntos de elementos
 * con los valores que introduzca el usuario.
 * 
 * Se usa un <code>acm.io.IODialog</code> para la lectura.
 */
public class LectorDeConjuntosDeString 
{       
    private acm.io.IODialog io = new acm.io.IODialog();
    private String prompt = 
        "Continuar introduciendo palabras en el conjunto?";

    /**
     * Devuelve un nuevo conjunto con las palabras introducidas por el usuario.
     */
    public TreeSet<String> nuevoConjuntoDeString()
    {           
        TreeSet<String> set = new TreeSet<String>(); /*@\label{Lector4TreeSetString.new}@*/
        while(io.readBoolean(prompt)){
            String tmp = io.readLine("Siguiente palabra? ");
            set.add(tmp);
        }
        return set;
    }
}
