package ehu.student.collections.limitaciones;

import java.util.HashMap;

import ehu.student.collections.CartaBarajaInmutable;

/**
 * Limitaciones en el uso de HashMap<CartaBarajaInmutable, ...>
 */
public class ErrorUsoHashMapDeCartaBarajaInmutable {

    public static void main(String[] args)
    {
        HashMap<CartaBarajaInmutable, String> map = 
            new HashMap<CartaBarajaInmutable, String>();
        
        /* aadir elementos */
        CartaBarajaInmutable unaCarta = new CartaBarajaInmutable(0, 0);
        map.put(unaCarta, "una carta");
        map.put(unaCarta, "otra carta"); /* OK! */        

        /* buscar elementos */
        CartaBarajaInmutable otraCartaIgual = new CartaBarajaInmutable(0, 0);
        boolean estaUna = map.containsKey(unaCarta);
        boolean estaOtra = 
            map.containsKey(otraCartaIgual); /* Resultado incorrecto? */
        
        String msg = 
            unaCarta + " esta? " + estaUna + "\n" +
            otraCartaIgual + " esta? " + estaOtra; 
        System.out.println(msg); 
    }
}
